> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# contact_and_person_freetextsearch_hierarchical

## "contact\_and\_person\_freetextsearch\_hierarchical" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ContactAndPersonListFreetextSearchHierarchicalProvider">ContactAndPersonListFreetextSearchHierarchicalProvider</see> class.
The name of the MDO list is 'contact\_and\_person\_freetextsearch\_hierarchical'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/contact_and_person_freetextsearch_hierarchical
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("contact_and_person_freetextsearch_hierarchical", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "contact\_and\_person\_freetextsearch\_hierarchicalheadings"
* "contact\_and\_person\_freetextsearch\_hierarchicalheadingswithallitem"
* "contact\_and\_person\_freetextsearch\_hierarchicalheadingswithallitemwithnoselection"
* "contact\_and\_person\_freetextsearch\_hierarchicalheadingswithnoselection"
* "contact\_and\_person\_freetextsearch\_hierarchicalwithallitem"
* "contact\_and\_person\_freetextsearch\_hierarchicalwithallitemwithnoselection"
* "contact\_and\_person\_freetextsearch\_hierarchicalwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [contact_and_person_freetextsearch](/en/api/mdo-providers/reference/contact_and_person_freetextsearch.md)
- [person_freetextsearch](/en/api/mdo-providers/reference/person_freetextsearch.md)
- [contact_freetextsearch](/en/api/mdo-providers/reference/contact_freetextsearch.md)
- [personcontact_freetextsearch](/en/api/mdo-providers/reference/personcontact_freetextsearch.md)
- [contactperson_freetextsearch](/en/api/mdo-providers/reference/contactperson_freetextsearch.md)
